﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AnnotationSample
{
    class Program
    {
        static void Main(string[] args)
        {
            //Creates a new PDF document
            PdfDocument document = new PdfDocument();

            //Creates a new page
            for(int i=0;i<10;i++)
            {
                document.Pages.Add();
            }

            //Creates a new rectangle
            RectangleF docLinkAnnotationRectangle = new RectangleF(10, 40, 300, 30);

            //Creates a new document link annotation.
            PdfDocumentLinkAnnotation documentLinkAnnotation = new PdfDocumentLinkAnnotation(docLinkAnnotationRectangle);
            documentLinkAnnotation.AnnotationFlags = PdfAnnotationFlags.NoRotate;
            documentLinkAnnotation.Text = "Document link annotation";
            documentLinkAnnotation.Color = new PdfColor(Color.Navy);

            document.Pages[0].Graphics.DrawString("Go to page 5", new PdfStandardFont(PdfFontFamily.Helvetica, 20), PdfBrushes.Black, docLinkAnnotationRectangle);

            //Sets the destination
            documentLinkAnnotation.Destination = new PdfDestination(document.Pages[4]);
            documentLinkAnnotation.Destination.Location = new Point(10, 0);
            documentLinkAnnotation.Destination.Zoom = 5;

            //Adds this annotation to a new page
            document.Pages[0].Annotations.Add(documentLinkAnnotation);

            //Creates a new document link annotation.
            PdfDocumentLinkAnnotation documentLinkAnnotation1 = new PdfDocumentLinkAnnotation(docLinkAnnotationRectangle);
            documentLinkAnnotation1.AnnotationFlags = PdfAnnotationFlags.NoRotate;
            documentLinkAnnotation1.Text = "Document link annotation";
            documentLinkAnnotation1.Color = new PdfColor(Color.Navy);

            document.Pages[1].Graphics.DrawString("Go to page 1", new PdfStandardFont(PdfFontFamily.Helvetica, 20), PdfBrushes.Black, docLinkAnnotationRectangle);

            //Sets the destination
            documentLinkAnnotation1.Destination = new PdfDestination(document.Pages[0]);
            documentLinkAnnotation1.Destination.Location = new Point(10, 0);
            documentLinkAnnotation1.Destination.Zoom = 5;

            //Adds this annotation to a new page
            document.Pages[1].Annotations.Add(documentLinkAnnotation1);

            //Saves the document to disk
            document.Save("DocumentLinkAnnotation.pdf");
            //Close the document 
            document.Close(true);

            Process.Start("DocumentLinkAnnotation.pdf");
        }
    }
}
